POST Agents/Workflow/GetWorkflowFencingInfo
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Workflow/GetWorkflowFencingInfo
Get the current Workflow fencing status for the tenant
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Workflow/GetWorkflowFencingInfo?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: FencingInfo
| Property Name | Type | Description |
|---|---|---|
| ActiveCount | int32 | Number of active entities |
| Maximum | int32 | Maximum number of active entities allowed |
| IsNearingMaximum | bool | True if the active entity count is approaching the maximum |
| HasReachedMaximum | bool | True if the active entity count has reached or exceeded the maximum |
| WarningMessage | string | Localized warning message to display when nearing or at the maximum |
| WarningTooltip | string | Localized warning message to display as a tooltip when nearing or at the maximum |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |